summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2018-06-12 11:07:01 +0200
committerErich Eckner <git@eckner.net>2018-06-12 11:07:01 +0200
commit6ae6c0fd879555fcc71c5f378ab004a2b77c95ce (patch)
tree20bac75710540a5502b271fd451b1f5e601c7051
parent60d6a7cc8c7e231a873d6cfa9bab0586ae3e6208 (diff)
downloadbuilder-6ae6c0fd879555fcc71c5f378ab004a2b77c95ce.tar.xz
bin/build-packages: try to copy packages to .transfer on the master mirror (to relieve some upload bandwidth from the build master)
-rwxr-xr-xbin/build-packages11
-rwxr-xr-xlib/load-configuration2
2 files changed, 12 insertions, 1 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 47e3cb7..3e3c966 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -579,6 +579,17 @@ while [ "${count}" -ne 0 ] && \
\) \
-printf '%f\n'
)
+ if ${upload_to_build_master}; then
+ # shellcheck disable=SC2046
+ rsync -a $(
+ find "${tar_content_dir}/" -maxdepth 1 \
+ \( \
+ -name '*.pkg.tar.xz' -o \
+ -name '*.pkg.tar.xz.sig'
+ \) \
+ -printf '%f\n'
+ ) "rsync://mirror.archlinux32.org/transfer32/" || true
+ fi
while ${upload_to_build_master}; do
err=0
# shellcheck disable=SC2029
diff --git a/lib/load-configuration b/lib/load-configuration
index 07ef270..92316d9 100755
--- a/lib/load-configuration
+++ b/lib/load-configuration
@@ -44,7 +44,7 @@ repo_key='0xdeadbeef'
package_key='0x15eebadc0de'
# to access the master mirror via rsync
-master_mirror_rsync_command='rsync --password-file=/home/slave/rsync.password'
+master_mirror_rsync_command='rsync --password-file=/home/slave/rsync.password --copy-dest=/.transfer'
master_mirror_rsync_directory='rsync://buildmaster@mirror.archlinux32.org/packages32'
# to access the master mirror via sftp